Bug 768113 - Deleting deployment fails for ec2 instances when the provider account is not named "ec2"
Summary: Deleting deployment fails for ec2 instances when the provider account is not ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: CloudForms Cloud Engine
Classification: Retired
Component: aeolus-conductor
Version: 1.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
Assignee: Greg Blomquist
QA Contact: wes hayutin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-15 19:27 UTC by Greg Blomquist
Modified: 2012-08-30 17:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Greg Blomquist 2011-12-15 19:27:57 UTC
My EC2 provider account is named "rhcloud@ec2", and when I attempt to delete stopped deployments in ec2 I get the "failed to delete deployment" message from conductor.

The offending code appears to be in the instance model:

https://github.com/aeolusproject/conductor/blob/3ef5ea4aee0d082d0ed17282c3b464db98774a26/src/app/models/instance.rb#L485

That code assumes that my provider account is named exactly "ec2" or "mock".

It should be changed to assume that the deltacloud driver of my provider type of my provider account is "ec2" (or, "mock", since that block is supposed to skip "mock" accounts, too).

Comment 1 wes hayutin 2012-04-17 21:16:57 UTC
QE.. is this still an issue?

Comment 2 Rehana 2012-04-18 10:41:37 UTC
I have tried to create the same scenario, created EC2 provider account with the same name: "rhcloud@ec2" ,launched an application on the provider.

I was able to Delete the stopped application on the EC2 provider, with out any issue.

So moving the status to verified.

on:

rpm -qa | grep aeolus
aeolus-conductor-doc-0.8.9-1.el6.noarch
aeolus-configure-2.5.3-1.el6.noarch
aeolus-conductor-0.8.9-1.el6.noarch
rubygem-aeolus-image-0.3.0-12.el6.noarch
aeolus-all-0.8.9-1.el6.noarch
rubygem-aeolus-cli-0.3.1-1.el6.noarch
aeolus-conductor-daemons-0.8.9-1.el6.noarch


Note You need to log in before you can comment on or make changes to this bug.